* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2015-10-09 6:50 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2015-10-09 6:50 UTC (permalink / raw
To: gentoo-commits
commit: a8c842ada506ad1e4d50336b2bb346dbd191945e
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Thu Oct 8 23:17:41 2015 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Fri Oct 9 06:50:16 2015 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=a8c842ad
kde-apps/libkonq: Add USE=minimal for kde-frameworks/kio compat
Package-Manager: portage-2.2.22
kde-apps/libkonq/libkonq-15.08.49.9999.ebuild | 13 ++++++++++++-
kde-apps/libkonq/libkonq-5.9999.ebuild | 13 ++++++++++++-
kde-apps/libkonq/libkonq-9999.ebuild | 13 ++++++++++++-
3 files changed, 36 insertions(+), 3 deletions(-)
diff --git a/kde-apps/libkonq/libkonq-15.08.49.9999.ebuild b/kde-apps/libkonq/libkonq-15.08.49.9999.ebuild
index dacaa95..286efcb 100644
--- a/kde-apps/libkonq/libkonq-15.08.49.9999.ebuild
+++ b/kde-apps/libkonq/libkonq-15.08.49.9999.ebuild
@@ -11,9 +11,20 @@ inherit kde4-meta
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS=""
-IUSE="debug"
+IUSE="debug minimal"
RESTRICT="test"
KMSAVELIBS="true"
PATCHES=( "${FILESDIR}/${PN}-4.9.0-cmake.patch" )
+
+src_install() {
+ kde4-base_src_install
+
+ if use minimal; then
+ rm "${D}"/usr/share/templates/{Directory,HTMLFile,TextFile}.desktop || die
+ rm "${D}"/usr/share/templates/{linkPath,linkProgram,linkURL}.desktop || die
+ rm "${D}"/usr/share/templates/.source/{Program,URL}.desktop || die
+ rm "${D}"/usr/share/templates/.source/{HTMLFile.html,TextFile.txt} || die
+ fi
+}
diff --git a/kde-apps/libkonq/libkonq-5.9999.ebuild b/kde-apps/libkonq/libkonq-5.9999.ebuild
index 4855d04..e4ee517 100644
--- a/kde-apps/libkonq/libkonq-5.9999.ebuild
+++ b/kde-apps/libkonq/libkonq-5.9999.ebuild
@@ -13,7 +13,7 @@ inherit kde5
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS=""
-IUSE=""
+IUSE="minimal"
DEPEND="
$(add_frameworks_dep kbookmarks)
@@ -39,3 +39,14 @@ RDEPEND="${DEPEND}"
RESTRICT="test"
S=${S}/lib/konq
+
+src_install() {
+ kde5_src_install
+
+ if use minimal; then
+ rm "${D}"/usr/share/templates/{Directory,HTMLFile,TextFile}.desktop || die
+ rm "${D}"/usr/share/templates/{linkPath,linkProgram,linkURL}.desktop || die
+ rm "${D}"/usr/share/templates/.source/{Program,URL}.desktop || die
+ rm "${D}"/usr/share/templates/.source/{HTMLFile.html,TextFile.txt} || die
+ fi
+}
diff --git a/kde-apps/libkonq/libkonq-9999.ebuild b/kde-apps/libkonq/libkonq-9999.ebuild
index dacaa95..286efcb 100644
--- a/kde-apps/libkonq/libkonq-9999.ebuild
+++ b/kde-apps/libkonq/libkonq-9999.ebuild
@@ -11,9 +11,20 @@ inherit kde4-meta
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS=""
-IUSE="debug"
+IUSE="debug minimal"
RESTRICT="test"
KMSAVELIBS="true"
PATCHES=( "${FILESDIR}/${PN}-4.9.0-cmake.patch" )
+
+src_install() {
+ kde4-base_src_install
+
+ if use minimal; then
+ rm "${D}"/usr/share/templates/{Directory,HTMLFile,TextFile}.desktop || die
+ rm "${D}"/usr/share/templates/{linkPath,linkProgram,linkURL}.desktop || die
+ rm "${D}"/usr/share/templates/.source/{Program,URL}.desktop || die
+ rm "${D}"/usr/share/templates/.source/{HTMLFile.html,TextFile.txt} || die
+ fi
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2015-11-04 16:45 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2015-11-04 16:45 UTC (permalink / raw
To: gentoo-commits
commit: b15f46a1fca51ac08371fbe803e6994f66f18aa8
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Wed Nov 4 15:55:32 2015 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Wed Nov 4 16:45:22 2015 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=b15f46a1
kde-apps/libkonq: Adapt USE=minimal to latest changes
Fixed in kio upstream commit 6ec29b03e4433c93bf5c2e5da977d019440020a9
New conflict created by kio commit 4b24b70c93523c5bc56c90c04a5a666331e96a1b
Package-Manager: portage-2.2.20.1
kde-apps/libkonq/libkonq-15.08.49.9999.ebuild | 11 -----------
kde-apps/libkonq/libkonq-5.9999.ebuild | 5 +----
kde-apps/libkonq/libkonq-9999.ebuild | 11 -----------
3 files changed, 1 insertion(+), 26 deletions(-)
diff --git a/kde-apps/libkonq/libkonq-15.08.49.9999.ebuild b/kde-apps/libkonq/libkonq-15.08.49.9999.ebuild
index 286efcb..2a4d9a2 100644
--- a/kde-apps/libkonq/libkonq-15.08.49.9999.ebuild
+++ b/kde-apps/libkonq/libkonq-15.08.49.9999.ebuild
@@ -17,14 +17,3 @@ RESTRICT="test"
KMSAVELIBS="true"
PATCHES=( "${FILESDIR}/${PN}-4.9.0-cmake.patch" )
-
-src_install() {
- kde4-base_src_install
-
- if use minimal; then
- rm "${D}"/usr/share/templates/{Directory,HTMLFile,TextFile}.desktop || die
- rm "${D}"/usr/share/templates/{linkPath,linkProgram,linkURL}.desktop || die
- rm "${D}"/usr/share/templates/.source/{Program,URL}.desktop || die
- rm "${D}"/usr/share/templates/.source/{HTMLFile.html,TextFile.txt} || die
- fi
-}
diff --git a/kde-apps/libkonq/libkonq-5.9999.ebuild b/kde-apps/libkonq/libkonq-5.9999.ebuild
index e4ee517..b129c17 100644
--- a/kde-apps/libkonq/libkonq-5.9999.ebuild
+++ b/kde-apps/libkonq/libkonq-5.9999.ebuild
@@ -44,9 +44,6 @@ src_install() {
kde5_src_install
if use minimal; then
- rm "${D}"/usr/share/templates/{Directory,HTMLFile,TextFile}.desktop || die
- rm "${D}"/usr/share/templates/{linkPath,linkProgram,linkURL}.desktop || die
- rm "${D}"/usr/share/templates/.source/{Program,URL}.desktop || die
- rm "${D}"/usr/share/templates/.source/{HTMLFile.html,TextFile.txt} || die
+ rm "${D}"/usr/share/kservicetypes5/konqpopupmenuplugin.desktop || die
fi
}
diff --git a/kde-apps/libkonq/libkonq-9999.ebuild b/kde-apps/libkonq/libkonq-9999.ebuild
index 286efcb..2a4d9a2 100644
--- a/kde-apps/libkonq/libkonq-9999.ebuild
+++ b/kde-apps/libkonq/libkonq-9999.ebuild
@@ -17,14 +17,3 @@ RESTRICT="test"
KMSAVELIBS="true"
PATCHES=( "${FILESDIR}/${PN}-4.9.0-cmake.patch" )
-
-src_install() {
- kde4-base_src_install
-
- if use minimal; then
- rm "${D}"/usr/share/templates/{Directory,HTMLFile,TextFile}.desktop || die
- rm "${D}"/usr/share/templates/{linkPath,linkProgram,linkURL}.desktop || die
- rm "${D}"/usr/share/templates/.source/{Program,URL}.desktop || die
- rm "${D}"/usr/share/templates/.source/{HTMLFile.html,TextFile.txt} || die
- fi
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2015-11-16 15:12 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2015-11-16 15:12 UTC (permalink / raw
To: gentoo-commits
commit: 5326546d73684ffa3453977d7dfe34952ea9a473
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Nov 15 02:10:20 2015 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon Nov 16 15:12:29 2015 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=5326546d
kde-apps/libkonq: Fix USE=minimal, depend on KF >=5.16
Upstream does not install that file when built w/ KF 5.16
so hack can go away eventually.
Package-Manager: portage-2.2.20.1
kde-apps/libkonq/libkonq-5.9999.ebuild | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/kde-apps/libkonq/libkonq-5.9999.ebuild b/kde-apps/libkonq/libkonq-5.9999.ebuild
index b129c17..0ce83b9 100644
--- a/kde-apps/libkonq/libkonq-5.9999.ebuild
+++ b/kde-apps/libkonq/libkonq-5.9999.ebuild
@@ -5,6 +5,7 @@
EAPI=5
EGIT_BRANCH="frameworks"
+FRAMEWORKS_MINIMAL="5.16.0"
KDE_DOXYGEN="true"
KDE_TEST="true"
KMNAME="kde-baseapps"
@@ -13,7 +14,7 @@ inherit kde5
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS=""
-IUSE="minimal"
+IUSE="+minimal"
DEPEND="
$(add_frameworks_dep kbookmarks)
@@ -44,6 +45,8 @@ src_install() {
kde5_src_install
if use minimal; then
- rm "${D}"/usr/share/kservicetypes5/konqpopupmenuplugin.desktop || die
+ if [[ -e "${ED}"usr/share/kservicetypes5/konqpopupmenuplugin.desktop ]] ; then
+ rm "${ED}"usr/share/kservicetypes5/konqpopupmenuplugin.desktop || die
+ fi
fi
}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2016-02-23 14:15 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2016-02-23 14:15 UTC (permalink / raw
To: gentoo-commits
commit: 095a64d3487d577a7b3d87cb750b64ad42515abc
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Feb 21 13:03:45 2016 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Tue Feb 23 14:15:19 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=095a64d3
kde-apps/libkonq: Adjust DEPENDs, konqpopupmenuplugin dropped upstream
Package-Manager: portage-2.2.27
kde-apps/libkonq/libkonq-5.9999.ebuild | 17 +++--------------
1 file changed, 3 insertions(+), 14 deletions(-)
diff --git a/kde-apps/libkonq/libkonq-5.9999.ebuild b/kde-apps/libkonq/libkonq-5.9999.ebuild
index 97f9aa5..16d528b 100644
--- a/kde-apps/libkonq/libkonq-5.9999.ebuild
+++ b/kde-apps/libkonq/libkonq-5.9999.ebuild
@@ -2,10 +2,10 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
EGIT_BRANCH="frameworks"
-FRAMEWORKS_MINIMAL="5.16.0"
+FRAMEWORKS_MINIMAL="5.19.0"
KDE_DOXYGEN="true"
KDE_TEST="true"
KMNAME="kde-baseapps"
@@ -14,14 +14,13 @@ inherit kde5
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS=""
-IUSE="+minimal"
+IUSE=""
DEPEND="
$(add_frameworks_dep kbookmarks)
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep kdbusaddons)
- $(add_frameworks_dep kdelibs4support)
$(add_frameworks_dep ki18n)
$(add_frameworks_dep kio)
$(add_frameworks_dep kjobwidgets)
@@ -40,13 +39,3 @@ RDEPEND="${DEPEND}"
RESTRICT="test"
S=${S}/lib/konq
-
-src_install() {
- kde5_src_install
-
- if use minimal; then
- if [[ -e "${ED}"usr/share/kservicetypes5/konqpopupmenuplugin.desktop ]] ; then
- rm "${ED}"usr/share/kservicetypes5/konqpopupmenuplugin.desktop || die
- fi
- fi
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2016-03-31 18:16 Johannes Huber
0 siblings, 0 replies; 9+ messages in thread
From: Johannes Huber @ 2016-03-31 18:16 UTC (permalink / raw
To: gentoo-commits
commit: 7bbd946cbef4b1ea77c03543bb7d5644bcce55fe
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 31 18:08:44 2016 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Thu Mar 31 18:08:44 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=7bbd946c
kde-apps/libkonq: EAPI 6
Package-Manager: portage-2.2.28
kde-apps/libkonq/libkonq-15.12.3.ebuild | 2 +-
kde-apps/libkonq/libkonq-16.04.49.9999.ebuild | 2 +-
kde-apps/libkonq/libkonq-9999.ebuild | 2 +-
3 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/kde-apps/libkonq/libkonq-15.12.3.ebuild b/kde-apps/libkonq/libkonq-15.12.3.ebuild
index 50eeadc..21d6a12 100644
--- a/kde-apps/libkonq/libkonq-15.12.3.ebuild
+++ b/kde-apps/libkonq/libkonq-15.12.3.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
KMNAME="kde-baseapps"
KMMODULE="lib/konq"
diff --git a/kde-apps/libkonq/libkonq-16.04.49.9999.ebuild b/kde-apps/libkonq/libkonq-16.04.49.9999.ebuild
index 84a6999..d34c823 100644
--- a/kde-apps/libkonq/libkonq-16.04.49.9999.ebuild
+++ b/kde-apps/libkonq/libkonq-16.04.49.9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
KMNAME="kde-baseapps"
KMMODULE="lib/konq"
diff --git a/kde-apps/libkonq/libkonq-9999.ebuild b/kde-apps/libkonq/libkonq-9999.ebuild
index 84a6999..d34c823 100644
--- a/kde-apps/libkonq/libkonq-9999.ebuild
+++ b/kde-apps/libkonq/libkonq-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
KMNAME="kde-baseapps"
KMMODULE="lib/konq"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2016-05-18 13:25 Johannes Huber
0 siblings, 0 replies; 9+ messages in thread
From: Johannes Huber @ 2016-05-18 13:25 UTC (permalink / raw
To: gentoo-commits
commit: 8558655cf353d90e6cdda44f4517af3f3b9dea52
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun May 15 08:22:20 2016 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Wed May 18 13:25:27 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=8558655c
kde-apps/libkonq: Drop no-op USE=minimal
Package-Manager: portage-2.2.28
Signed-off-by: Johannes Huber <johu <AT> gentoo.org>
kde-apps/libkonq/libkonq-16.04.1.ebuild | 2 +-
kde-apps/libkonq/libkonq-16.04.49.9999.ebuild | 2 +-
kde-apps/libkonq/libkonq-9999.ebuild | 2 +-
3 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/kde-apps/libkonq/libkonq-16.04.1.ebuild b/kde-apps/libkonq/libkonq-16.04.1.ebuild
index 1eb05f7..22dc8bb 100644
--- a/kde-apps/libkonq/libkonq-16.04.1.ebuild
+++ b/kde-apps/libkonq/libkonq-16.04.1.ebuild
@@ -11,7 +11,7 @@ inherit kde4-meta
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS="~amd64 ~x86"
-IUSE="debug minimal"
+IUSE="debug"
RESTRICT="test"
KMSAVELIBS="true"
diff --git a/kde-apps/libkonq/libkonq-16.04.49.9999.ebuild b/kde-apps/libkonq/libkonq-16.04.49.9999.ebuild
index d34c823..27626e6 100644
--- a/kde-apps/libkonq/libkonq-16.04.49.9999.ebuild
+++ b/kde-apps/libkonq/libkonq-16.04.49.9999.ebuild
@@ -11,7 +11,7 @@ inherit kde4-meta
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS=""
-IUSE="debug minimal"
+IUSE="debug"
RESTRICT="test"
KMSAVELIBS="true"
diff --git a/kde-apps/libkonq/libkonq-9999.ebuild b/kde-apps/libkonq/libkonq-9999.ebuild
index d34c823..27626e6 100644
--- a/kde-apps/libkonq/libkonq-9999.ebuild
+++ b/kde-apps/libkonq/libkonq-9999.ebuild
@@ -11,7 +11,7 @@ inherit kde4-meta
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS=""
-IUSE="debug minimal"
+IUSE="debug"
RESTRICT="test"
KMSAVELIBS="true"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2016-08-02 21:22 Johannes Huber
0 siblings, 0 replies; 9+ messages in thread
From: Johannes Huber @ 2016-08-02 21:22 UTC (permalink / raw
To: gentoo-commits
commit: c6d5e50d05c3d8b20279d5c8f10db25b4a7b7d8e
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Tue Aug 2 18:21:48 2016 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Tue Aug 2 21:21:52 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=c6d5e50d
kde-apps/libkonq: Frameworks merged to master
Package-Manager: portage-2.2.28
Signed-off-by: Johannes Huber <johu <AT> gentoo.org>
kde-apps/libkonq/libkonq-5.9999.ebuild | 39 ----------------------------------
kde-apps/libkonq/libkonq-9999.ebuild | 33 ++++++++++++++++++++++------
2 files changed, 26 insertions(+), 46 deletions(-)
diff --git a/kde-apps/libkonq/libkonq-5.9999.ebuild b/kde-apps/libkonq/libkonq-5.9999.ebuild
deleted file mode 100644
index 3357232..0000000
--- a/kde-apps/libkonq/libkonq-5.9999.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-EGIT_BRANCH="frameworks"
-KDE_TEST="true"
-KMNAME="kde-baseapps"
-VIRTUALX_REQUIRED="test"
-inherit kde5
-
-DESCRIPTION="The embeddable part of konqueror"
-KEYWORDS=""
-IUSE=""
-
-DEPEND="
- $(add_frameworks_dep kbookmarks)
- $(add_frameworks_dep kconfig)
- $(add_frameworks_dep kcoreaddons)
- $(add_frameworks_dep kdbusaddons)
- $(add_frameworks_dep ki18n)
- $(add_frameworks_dep kio)
- $(add_frameworks_dep kjobwidgets)
- $(add_frameworks_dep kparts)
- $(add_frameworks_dep kservice)
- $(add_frameworks_dep kwidgetsaddons)
- $(add_frameworks_dep kxmlgui)
- $(add_qt_dep qtdbus)
- $(add_qt_dep qtgui)
- $(add_qt_dep qtwidgets)
- $(add_qt_dep qtxml)
- sys-libs/zlib
-"
-RDEPEND="${DEPEND}"
-
-RESTRICT="test"
-
-S=${S}/lib/konq
diff --git a/kde-apps/libkonq/libkonq-9999.ebuild b/kde-apps/libkonq/libkonq-9999.ebuild
index 27626e6..1aab45a 100644
--- a/kde-apps/libkonq/libkonq-9999.ebuild
+++ b/kde-apps/libkonq/libkonq-9999.ebuild
@@ -4,16 +4,35 @@
EAPI=6
+KDE_TEST="true"
KMNAME="kde-baseapps"
-KMMODULE="lib/konq"
-CPPUNIT_REQUIRED="optional"
-inherit kde4-meta
+VIRTUALX_REQUIRED="test"
+inherit kde5
DESCRIPTION="The embeddable part of konqueror"
KEYWORDS=""
-IUSE="debug"
-RESTRICT="test"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kbookmarks)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kjobwidgets)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ sys-libs/zlib
+"
+RDEPEND="${DEPEND}"
-KMSAVELIBS="true"
+RESTRICT="test"
-PATCHES=( "${FILESDIR}/${PN}-4.9.0-cmake.patch" )
+S=${S}/lib/konq
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2016-09-25 17:39 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2016-09-25 17:39 UTC (permalink / raw
To: gentoo-commits
commit: fa9aaa79879a8d8b1012efa873124dac8056062e
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sat Sep 24 21:44:49 2016 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun Sep 25 17:39:25 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=fa9aaa79
kde-apps/libkonq: Package merged into konqueror
Package-Manager: portage-2.3.0
kde-apps/libkonq/libkonq-9999.ebuild | 38 ------------------------------------
1 file changed, 38 deletions(-)
diff --git a/kde-apps/libkonq/libkonq-9999.ebuild b/kde-apps/libkonq/libkonq-9999.ebuild
deleted file mode 100644
index 1aab45a..0000000
--- a/kde-apps/libkonq/libkonq-9999.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-KDE_TEST="true"
-KMNAME="kde-baseapps"
-VIRTUALX_REQUIRED="test"
-inherit kde5
-
-DESCRIPTION="The embeddable part of konqueror"
-KEYWORDS=""
-IUSE=""
-
-DEPEND="
- $(add_frameworks_dep kbookmarks)
- $(add_frameworks_dep kconfig)
- $(add_frameworks_dep kcoreaddons)
- $(add_frameworks_dep kdbusaddons)
- $(add_frameworks_dep ki18n)
- $(add_frameworks_dep kio)
- $(add_frameworks_dep kjobwidgets)
- $(add_frameworks_dep kparts)
- $(add_frameworks_dep kservice)
- $(add_frameworks_dep kwidgetsaddons)
- $(add_frameworks_dep kxmlgui)
- $(add_qt_dep qtdbus)
- $(add_qt_dep qtgui)
- $(add_qt_dep qtwidgets)
- $(add_qt_dep qtxml)
- sys-libs/zlib
-"
-RDEPEND="${DEPEND}"
-
-RESTRICT="test"
-
-S=${S}/lib/konq
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/
@ 2016-11-16 16:49 Michael Palimaka
0 siblings, 0 replies; 9+ messages in thread
From: Michael Palimaka @ 2016-11-16 16:49 UTC (permalink / raw
To: gentoo-commits
commit: e4034f72b7bcc851d19561125f2405a794387efe
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Nov 13 01:22:52 2016 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Wed Nov 16 16:49:09 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=e4034f72
kde-apps/libkonq: Cleanup unused file
kde-apps/libkonq/metadata.xml | 8 --------
1 file changed, 8 deletions(-)
diff --git a/kde-apps/libkonq/metadata.xml b/kde-apps/libkonq/metadata.xml
deleted file mode 100644
index 2fdbf33..0000000
--- a/kde-apps/libkonq/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>kde@gentoo.org</email>
- <name>Gentoo KDE Project</name>
- </maintainer>
-</pkgmetadata>
^ permalink raw reply related [flat|nested] 9+ messages in thread
end of thread, other threads:[~2016-11-16 16:49 UTC | newest]
Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-11-16 15:12 [gentoo-commits] proj/kde:master commit in: kde-apps/libkonq/ Michael Palimaka
-- strict thread matches above, loose matches on Subject: below --
2016-11-16 16:49 Michael Palimaka
2016-09-25 17:39 Michael Palimaka
2016-08-02 21:22 Johannes Huber
2016-05-18 13:25 Johannes Huber
2016-03-31 18:16 Johannes Huber
2016-02-23 14:15 Michael Palimaka
2015-11-04 16:45 Michael Palimaka
2015-10-09 6:50 Michael Palimaka
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox